Bug 1316086 - check-mk: use %config(noreplace) for /etc/nagios/htpasswd.users
check-mk: use %config(noreplace) for /etc/nagios/htpasswd.users
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: check-mk (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 06:43 EST by marcindulak
Modified: 2016-03-26 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: check-mk-1.2.6p16-3.el7 check-mk-1.2.6p16-3.fc22 check-mk-1.2.6p16-3.fc23 check-mk-1.2.6p16-3.el5 check-mk-1.2.6p16-3.el6 check-mk-1.2.6p16-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 18:46:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marcindulak 2016-03-09 06:43:51 EST
Description of problem:

/etc/nagios/htpasswd.users is the default file used by nagios installations, mentioned in many online tutorials.
check-mk updates overwrite it. You may want %config(noreplace) also for
/etc/nagios/auth.serials

Fedora build is affected too.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Andrea Veri 2016-03-09 08:27:50 EST
According to 'yum whatprovides' the only RPM providing htaccess.users is check-mk as Nagios itself ships a /etc/nagios/passwd file. However it definitely makes sense to have that specific file set as config(noreplace), pushing an update during the next hour. Please give karma to it.
Comment 2 Fedora Update System 2016-03-09 09:15:50 EST
check-mk-1.2.6p16-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-929b1703d0
Comment 3 Fedora Update System 2016-03-09 09:15:56 EST
check-mk-1.2.6p16-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b435be6f5
Comment 4 Fedora Update System 2016-03-09 09:16:00 EST
check-mk-1.2.6p16-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-81182f0820
Comment 5 Fedora Update System 2016-03-09 09:16:04 EST
check-mk-1.2.6p16-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bd480c5eb
Comment 6 Fedora Update System 2016-03-09 09:16:08 EST
check-mk-1.2.6p16-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e3c5d11686
Comment 7 Fedora Update System 2016-03-09 09:16:12 EST
check-mk-1.2.6p16-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e64e01ee8
Comment 8 Fedora Update System 2016-03-09 20:55:59 EST
check-mk-1.2.6p16-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b435be6f5
Comment 9 Fedora Update System 2016-03-10 10:49:08 EST
check-mk-1.2.6p16-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e3c5d11686
Comment 10 Fedora Update System 2016-03-10 10:53:30 EST
check-mk-1.2.6p16-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-81182f0820
Comment 11 Fedora Update System 2016-03-10 10:55:47 EST
check-mk-1.2.6p16-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-929b1703d0
Comment 12 Fedora Update System 2016-03-10 11:51:50 EST
check-mk-1.2.6p16-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e64e01ee8
Comment 13 Fedora Update System 2016-03-10 11:53:47 EST
check-mk-1.2.6p16-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bd480c5eb
Comment 14 Fedora Update System 2016-03-15 18:46:43 EDT
check-mk-1.2.6p16-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-19 17:28:27 EDT
check-mk-1.2.6p16-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-19 22:30:33 EDT
check-mk-1.2.6p16-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-25 14:51:21 EDT
check-mk-1.2.6p16-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-25 17:52:46 EDT
check-mk-1.2.6p16-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-26 14:16:40 EDT
check-mk-1.2.6p16-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.